import { FormatterContribution } from '@difizen/libro-jupyter';
import type { DefaultEncodedFormatter, DefaultDecodedFormatter } from '@difizen/libro-jupyter';
export interface SqlDecodedFormatter extends DefaultDecodedFormatter {
    result_variable?: string;
}
export declare class FormatterSqlMagicContribution implements FormatterContribution<SqlDecodedFormatter> {
    formatter: string;
    formatterOptions?: object;
    canHandle: (libroFormatter: string) => 100 | 1;
    encode: (source: SqlDecodedFormatter) => {
        source: string;
        metadata: {
            libroFormatter: string;
        };
    };
    decode: (formatterValue: DefaultEncodedFormatter) => {
        result_variable: string;
        value: string;
    } | {
        value: string;
        result_variable?: undefined;
    };
    validate: (source: SqlDecodedFormatter) => source is SqlDecodedFormatter;
}
//# sourceMappingURL=libro-formatter-sql-magic-contribution.d.ts.map